<div class="user-button-container" #userButton (vrClickOutside)="onClickOutside()">
  <button class="user-button" mat-button (click)="toggleDropdown()" [class.open]="isOpen">
    <span fxLayout="row" fxLayoutAlign="start center">
      <span class="avatar-container" fxLayout="row" fxLayoutAlign="start center">
        <img class="avatar" src="assets/img/demo/avatars/noavatar.png">
        <i class="status primary"></i>
      </span>
      <span class="name" fxHide fxShow.gt-sm>{{username}}</span>
      <mat-icon class="icon" fxHide fxShow.gt-sm>keyboard_arrow_down</mat-icon>
    </span>
  </button>

  <div class="dropdown mat-elevation-z1" [class.open]="isOpen">
    <div class="content">
      <div class="list">
        <div class="item" fxLayout="row" fxLayoutAlign="start center" matRipple (click)="logOut()">
          <mat-icon class="icon">exit_to_app</mat-icon>
          <span class="title">Cerrar sesión</span>
        </div>
      </div>
    </div>
  </div>
</div>
